summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <yamakuzure@gmx.net>2018-04-25 07:58:45 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-06-17 20:44:25 +0200
commit56eb120ed955d25b33a0045145f55ca7ce8cab56 (patch)
tree3bae0a39d6c82eb14bd5272cc546263031db66c1 /dev-games/ogre
parentnet-libs/libtorrent: version bump to 0.13.7 (diff)
downloadgentoo-56eb120ed955d25b33a0045145f55ca7ce8cab56.tar.gz
gentoo-56eb120ed955d25b33a0045145f55ca7ce8cab56.tar.bz2
gentoo-56eb120ed955d25b33a0045145f55ca7ce8cab56.zip
dev-games/ogre: Add ebuild for the latest release v1.10.11
This is the latest stable release of Ogre3D, released on 2017-12-31. Bug: https://bugs.gentoo.org/647266 Tested-by: Sven Eden yamakuzure@gmx.net Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'dev-games/ogre')
-rw-r--r--dev-games/ogre/Manifest1
-rw-r--r--dev-games/ogre/files/ogre-1.10.11-fix_double_precision-88f0d5b.patch29
-rw-r--r--dev-games/ogre/files/ogre-1.10.11-media_path.patch18
-rw-r--r--dev-games/ogre/files/ogre-1.10.11-resource_path.patch18
-rw-r--r--dev-games/ogre/files/ogre-1.10.11-samples.patch13
-rw-r--r--dev-games/ogre/ogre-1.10.11.ebuild115
6 files changed, 194 insertions, 0 deletions
diff --git a/dev-games/ogre/Manifest b/dev-games/ogre/Manifest
index f1c372e1438..1ecfcfeea79 100644
--- a/dev-games/ogre/Manifest
+++ b/dev-games/ogre/Manifest
@@ -1 +1,2 @@
+DIST ogre-1.10.11.zip 133064317 BLAKE2B 88c64061377d8257853378219fb5906919d251f5b3c500f70bc1c04bc36e3083dc3dac4babb14d983c8b6fbb63ea3eecf698e3a0134f963db058055edd5dc4c4 SHA512 db207aec8330ec9da2a9781c8753411e69e08008995b8b3e127d454dc05aa899c75157718398ca24998644c586e2dd30cc7e9b7d98e045e4575537f5c81a5a54
DIST ogre-1.9.0.tar.bz2 128098305 BLAKE2B 6e67a5b60a6606a910e099f1c7ba736eb525f079f3aba5cfb362329b9130059d303fc9df6f7b8611c0ba75e1e207fa018e543e93c9f5ce39a6621e4c72ed4a83 SHA512 b1ea93d80ac0978a7c228460a6714f8d17797450efd5af6765c9fa4402e9060a8ef3a700d2757593a3016fdc32276722c8f4a5d9889a3e2eb424f16162a52bde
diff --git a/dev-games/ogre/files/ogre-1.10.11-fix_double_precision-88f0d5b.patch b/dev-games/ogre/files/ogre-1.10.11-fix_double_precision-88f0d5b.patch
new file mode 100644
index 00000000000..53d7a0925d5
--- /dev/null
+++ b/dev-games/ogre/files/ogre-1.10.11-fix_double_precision-88f0d5b.patch
@@ -0,0 +1,29 @@
+# HG changeset patch
+# User niparx <koliap@gmail.com>
+# Date 1515160111 -7200
+# Node ID 88f0d5be23c521e7504e3f6cb2a153428efcf159
+# Parent bc4fb04c1de686c23c6207eee69ae0ca9fddcb7c
+[OGRE-592] RTShaderSystem compile error when using double precision (#622)
+
+RTShaderSystem: compile error when using double precision
+
+https://ogre3d.atlassian.net/browse/OGRE-592
+
+diff --git a/Components/RTShaderSystem/src/OgreShaderFFPTexturing.cpp b/Components/RTShaderSystem/src/OgreShaderFFPTexturing.cpp
+--- a/Components/RTShaderSystem/src/OgreShaderFFPTexturing.cpp
++++ b/Components/RTShaderSystem/src/OgreShaderFFPTexturing.cpp
+@@ -654,8 +654,12 @@
+ curFuncInvocation->pushOperand(ParameterFactory::createConstParam(Vector4(alphaValue)), Operand::OPS_IN);
+ }
+ else
+- {
+- curFuncInvocation->pushOperand(ParameterFactory::createConstParam(Vector4(colourValue.ptr())), Operand::OPS_IN);
++ {
++ curFuncInvocation->pushOperand(ParameterFactory::createConstParam(Vector4((Real)colourValue.r,
++ (Real)colourValue.g,
++ (Real)colourValue.b,
++ (Real)colourValue.a)),
++ Operand::OPS_IN);
+ }
+
+ curFuncInvocation->pushOperand(arg, Operand::OPS_OUT);
diff --git a/dev-games/ogre/files/ogre-1.10.11-media_path.patch b/dev-games/ogre/files/ogre-1.10.11-media_path.patch
new file mode 100644
index 00000000000..4d2547ab75a
--- /dev/null
+++ b/dev-games/ogre/files/ogre-1.10.11-media_path.patch
@@ -0,0 +1,18 @@
+--- a/CMake/InstallResources.cmake 2014-10-29 12:43:49.000000000 +0100
++++ b/CMake/InstallResources.cmake 2014-10-29 12:46:10.017611431 +0100
+@@ -165,10 +165,11 @@
+
+ # CREATE CONFIG FILES - BUILD DIR VERSIONS
+ if (NOT (APPLE_IOS OR WINDOWS_STORE OR WINDOWS_PHONE))
+- set(OGRE_MEDIA_DIR_REL "${OGRE_SOURCE_DIR}/Samples/Media")
+- set(OGRE_MEDIA_DIR_DBG "${OGRE_SOURCE_DIR}/Samples/Media")
+- set(OGRE_TEST_MEDIA_DIR_REL "${OGRE_SOURCE_DIR}/Tests/Media")
+- set(OGRE_TEST_MEDIA_DIR_DBG "${OGRE_SOURCE_DIR}/Tests/Media")
++# No, they were fine already
++# set(OGRE_MEDIA_DIR_REL "${OGRE_SOURCE_DIR}/Samples/Media")
++# set(OGRE_MEDIA_DIR_DBG "${OGRE_SOURCE_DIR}/Samples/Media")
++# set(OGRE_TEST_MEDIA_DIR_REL "${OGRE_SOURCE_DIR}/Tests/Media")
++# set(OGRE_TEST_MEDIA_DIR_DBG "${OGRE_SOURCE_DIR}/Tests/Media")
+ else ()
+ # iOS needs to use relative paths in the config files
+ set(OGRE_MEDIA_DIR_REL "${OGRE_MEDIA_PATH}")
diff --git a/dev-games/ogre/files/ogre-1.10.11-resource_path.patch b/dev-games/ogre/files/ogre-1.10.11-resource_path.patch
new file mode 100644
index 00000000000..9c39dfc0762
--- /dev/null
+++ b/dev-games/ogre/files/ogre-1.10.11-resource_path.patch
@@ -0,0 +1,18 @@
+--- a/CMake/InstallResources.cmake 2013-12-01 18:28:12.000000000 +0100
++++ b/CMake/InstallResources.cmake 2014-10-29 12:38:29.963602465 +0100
+@@ -189,10 +189,11 @@
+ set(OGRE_SAMPLES_DIR_REL "")
+ set(OGRE_SAMPLES_DIR_DBG "")
+ elseif (UNIX)
+- set(OGRE_PLUGIN_DIR_REL "${OGRE_BINARY_DIR}/lib")
+- set(OGRE_PLUGIN_DIR_DBG "${OGRE_BINARY_DIR}/lib")
+- set(OGRE_SAMPLES_DIR_REL "${OGRE_BINARY_DIR}/lib")
+- set(OGRE_SAMPLES_DIR_DBG "${OGRE_BINARY_DIR}/lib")
++# No, this was already configured above, the BINARY paths are wrong!
++# set(OGRE_PLUGIN_DIR_REL "${OGRE_BINARY_DIR}/lib")
++# set(OGRE_PLUGIN_DIR_DBG "${OGRE_BINARY_DIR}/lib")
++# set(OGRE_SAMPLES_DIR_REL "${OGRE_BINARY_DIR}/lib")
++# set(OGRE_SAMPLES_DIR_DBG "${OGRE_BINARY_DIR}/lib")
+ endif ()
+
+ if (MSVC AND NOT NMAKE)
diff --git a/dev-games/ogre/files/ogre-1.10.11-samples.patch b/dev-games/ogre/files/ogre-1.10.11-samples.patch
new file mode 100644
index 00000000000..80b989e980c
--- /dev/null
+++ b/dev-games/ogre/files/ogre-1.10.11-samples.patch
@@ -0,0 +1,13 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -536,7 +536,9 @@
+ endif ()
+
+ # Setup samples
+-add_subdirectory(Samples)
++if (OGRE_BUILD_SAMPLES)
++ add_subdirectory(Samples)
++endif ()
+
+ #Add android JNI binding
+ if(ANDROID)
diff --git a/dev-games/ogre/ogre-1.10.11.ebuild b/dev-games/ogre/ogre-1.10.11.ebuild
new file mode 100644
index 00000000000..950be9db539
--- /dev/null
+++ b/dev-games/ogre/ogre-1.10.11.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils cmake-utils vcs-snapshot
+
+DESCRIPTION="Object-oriented Graphics Rendering Engine"
+HOMEPAGE="https://www.ogre3d.org/"
+SRC_URI="https://github.com/OGRECave/${PN}/archive/v${PV}.zip -> ${P}.zip"
+
+LICENSE="MIT public-domain"
+SLOT="0/1.10.0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+IUSE="cg doc double-precision examples +freeimage gl3plus gles2 gles3 ois +opengl profile tools"
+
+REQUIRED_USE="examples? ( ois )
+ gles3? ( gles2 )
+ gl3plus? ( opengl )"
+
+RESTRICT="test" #139905
+
+RDEPEND="
+ cg? ( media-gfx/nvidia-cg-toolkit )
+ dev-libs/boost
+ dev-libs/zziplib
+ freeimage? ( media-libs/freeimage )
+ gl3plus? ( >=media-libs/mesa-9.2.5 )
+ gles2? ( >=media-libs/mesa-9.0.0[gles2] )
+ gles3? ( >=media-libs/mesa-10.0.0[gles2] )
+ media-libs/freetype:2
+ ois? ( dev-games/ois )
+ tools? ( dev-libs/tinyxml[stl] )
+ virtual/glu
+ virtual/opengl
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXrandr
+ x11-libs/libXt"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ x11-base/xorg-proto"
+PATCHES=(
+ "${FILESDIR}/${P}-samples.patch"
+ "${FILESDIR}/${P}-resource_path.patch"
+ "${FILESDIR}/${P}-media_path.patch"
+ "${FILESDIR}/${P}-fix_double_precision-88f0d5b.patch"
+)
+
+src_prepare() {
+ sed -i \
+ -e "s:share/OGRE/docs:share/doc/${PF}:" \
+ Docs/CMakeLists.txt || die
+ # Stupid build system hardcodes release names
+ sed -i \
+ -e '/CONFIGURATIONS/s:CONFIGURATIONS Release.*::' \
+ CMake/Utils/OgreConfigTargets.cmake || die
+
+ # make sure we're not using the included tinyxml
+ # Update for 1.10.11: Unfortunately the build system does not
+ # search for a system wide tinyxml at this moment. However,
+ # TinyXML is meant to be built into and not linked to a using
+ # project anyway.
+ # rm -f Tools/XMLConverter/{include,src}/tiny*.*
+
+ # Fix some path issues
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DOGRE_BUILD_COMPONENT_JAVA=NO
+ -DOGRE_BUILD_COMPONENT_PYTHON=NO
+ -DOGRE_BUILD_DEPENDENCIES=NO
+ -DOGRE_BUILD_PLUGIN_CG=$(usex cg)
+ -DOGRE_BUILD_SAMPLES=$(usex examples)
+ -DOGRE_BUILD_TESTS=FALSE
+ -DOGRE_BUILD_TOOLS=$(usex tools)
+ -DOGRE_CONFIG_DOUBLE=$(usex double-precision)
+ -DOGRE_CONFIG_ENABLE_FREEIMAGE=$(usex freeimage)
+ -DOGRE_CONFIG_THREADS=3
+ -DOGRE_CONFIG_THREAD_PROVIDER=std
+ -DOGRE_FULL_RPATH=NO
+ -DOGRE_INSTALL_DOCS=$(usex doc)
+ -DOGRE_INSTALL_SAMPLES=$(usex examples)
+ -DOGRE_INSTALL_SAMPLES_SOURCE=$(usex examples)
+ -DOGRE_NODE_STORAGE_LEGACY=NO
+ -DOGRE_PROFILING=$(usex profile)
+ -DOGRE_RESOURCEMANAGER_STRICT=strict
+ -DOGRE_USE_STD11=YES
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ CONFIGDIR=/etc/OGRE
+ SHAREDIR=/usr/share/OGRE
+
+ # plugins and resources are the main configuration
+ insinto "${CONFIGDIR}"
+ doins "${CMAKE_BUILD_DIR}"/bin/plugins.cfg
+ doins "${CMAKE_BUILD_DIR}"/bin/resources.cfg
+ dosym "${CONFIGDIR}"/plugins.cfg "${SHAREDIR}"/plugins.cfg
+ dosym "${CONFIGDIR}"/resources.cfg "${SHAREDIR}"/resources.cfg
+
+ # These are only for the sample browser
+ insinto "${SHAREDIR}"
+ doins "${CMAKE_BUILD_DIR}"/bin/quakemap.cfg
+ doins "${CMAKE_BUILD_DIR}"/bin/samples.cfg
+}